function []=affichage(I,Imodes,Ires,transformee,nbmodes,typeAffichage)

nb=prod(size(I))-1;

disp('----------------------------------')
disp('Image originale')
moyenne=mean(mean(I));
ecart=sqrt(sum(sum((I-moyenne).^2))/nb);
nbMin=nnz(imregionalmin(I));
nbMax=nnz(imregionalmax(I));
disp(['Moyenne   : ' num2str(moyenne)  ])
disp(['Ecart-type: ' num2str(ecart) ])
disp(['NbMin: ' num2str(nbMin) ', NbMax: ' num2str(nbMax)])




for j=1:nbmodes
  mode=Imodes(:,:,j);
  disp('----------------------------------')
  disp(['mode ' num2str(j)])
  moyenne=mean(mean(mode));
  ecart=sqrt(sum(sum((mode-moyenne).^2))/nb);
  
  minima=imregionalmin(mode);
  maxima=imregionalmax(mode);
  nbMin=nnz(minima);
  nbMax=nnz(maxima);
  positifs=length(mode(maxima)>0);
  negatifs=length(mode(minima)<0);
  
  disp(['Moyenne   : ' num2str(moyenne)  ])
  disp(['Ecart-type: ' num2str(ecart) ])
  disp(['NbMin: ' num2str(nbMin) ', NbMax: ' num2str(nbMax)])
  disp(['NbMin<0: ' num2str(negatifs) ', NbMax>0: ' num2str(positifs)])
  
  
end

disp('----------------------------------')
disp('Residu')

moyenne=mean(mean(Ires));
nb=prod(size(Ires))-1;
ecart=sqrt(sum(sum((Ires-moyenne).^2))/nb);
nbMin=nnz(imregionalmin(Ires));
nbMax=nnz(imregionalmax(Ires));
disp(['Moyenne   : ' num2str(moyenne)  ])
disp(['Ecart-type: ' num2str(ecart) ])
disp(['NbMin: ' num2str(nbMin) ', NbMax: ' num2str(nbMax)])


% Trac des diffrentes IMFs
Iori=I;

if or(strcmp(typeAffichage,'signal'),strcmp(typeAffichage,'signal+fourier'))

surf(Iori)

for j=1:nbmodes
    figure
    surf(Imodes(:,:,j)) ,title(['mode' num2str(j)]) %, colormap(gray)
    Iori=Iori-Imodes(:,:,j);
end

figure 
surf(Ires(:,:)) , title('Residu') 

end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% cas d'une image: niveaux de gris
if or(strcmp(typeAffichage,'image'), strcmp(typeAffichage,'image+fourier'))


for j=1:nbmodes
    figure
    imagesc(Imodes(:,:,j)) ,title(['mode' num2str(j)]) , colormap(gray)
    Iori=Iori-Imodes(:,:,j);
end

figure 
imagesc(Ires(:,:)) , title('Residu')  ,colormap(gray),

end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% transforme de Fourier

if or(strcmp(typeAffichage,'signal+fourier'), strcmp(typeAffichage,'image+fourier'))
figure
imagesc(abs(fftshift(fft2(I)))), title('Transformee de Fourier')

for j=1:nbmodes
  figure
  imagesc(transformee(:,:,j)), title(['mode' num2str(j)])
end
figure
imagesc(transformee(:,:,nbmodes+1)), title('residu')

end


